
module.exports = {
  create: {
    requestBody: ['name','phone','email','content','is_handle'],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ['name','phone','email','content','is_handle'],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
        'name': 'name' ,
        'phone': 'phone' ,
        'email': 'email' ,
        'is_handle': 'is_handle' ,

      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
