module.exports = {
  create: {
    requestBody: ["type", "name", "brief", "path", "is_use", "sort"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["type", "name", "brief", "path", "is_use", "sort"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
        type: "type",
        name: "name",
        brief: "brief",
        path: "path",
        is_use: "is_use",
        sort: "sort",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["sort"],
      desc: false,
      count: true,
    },
  },
};
