module.exports = {
  create: {
    requestBody: ["type_id", "is_scene", "title", "img_url", "sort", "is_use"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["type_id", "is_scene", "title", "img_url", "sort", "is_use"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        "meta.createdAt@start": "meta.createdAt@start",
        "meta.createdAt@end": "meta.createdAt@end",
        type_id: "type_id",
        is_scene: "is_scene",
        title: "title",
        sort: "sort",
        is_use: "is_use",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["sort"],
      desc: false,
      count: true,
    },
  },
};
