'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

// app基本信息
class AppbasicService extends CrudService {
  constructor(ctx) {
    super(ctx, 'appbasic');
    this.model = this.ctx.model.Appbasic;
  }
  async query({ ...info }) {
    let res = {};
    const data = await this.model.findOne({ ...info });
    if (data) {
      res = data;
    }
    return res;
  }
}

module.exports = AppbasicService;
