'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  const { routePrefix } = app.config;
  router.get('/', controller.home.index);
  require('./z_router/admin')(app); // 管理員
  require('./z_router/program')(app); // 节目表
  require('./z_router/dicttype')(app); // 字典类型表
  require('./z_router/dictdata')(app); // 字典数据表
  // web
  require('./z_router/company')(app); // 公司信息
  require('./z_router/banner')(app); // 轮播图
  require('./z_router/news')(app); // 新闻资讯
  require('./z_router/cases')(app); // 案例
  require('./z_router/leavemess')(app); // 留言
  // app
  require('./z_router/user')(app); // 用户信息
  require('./z_router/appbasic')(app); // app基本信息
  require('./z_router/appbanner')(app); // app轮播图
  require('./z_router/hotlink')(app); // 热门链接
  require('./z_router/appapk')(app); // 应用管理
  require('./z_router/scenetype')(app); // 视频场景分类
  require('./z_router/scenedata')(app); // 视频场景信息
  require('./z_router/videos')(app); // 视频
  require('./z_router/likes')(app); // 我的喜欢
  require('./z_router/collects')(app); // 我的收藏
  require('./z_router/discuss')(app); // 讨论
  require('./z_router/vipsetting')(app); // vip设置
  require('./z_router/moneylog')(app); // 消费记录
};
